Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### floor()

Examples

    float x = 2.88;
    int a = floor(x);  // Set "a" to 2

Description | Calculates the closest int value that is less than or equal to the value of the parameter.

Syntax

    floor(value)

Parameters

value | float

Returns | int
Usage | Web & Application
Related | ceil() round()

Updated on November 22, 2008 08:39:25pm PST